using UnityEngine;
using System.Collections;

public class FiniteState
{
    public bool isBackEnable;
    public MonoBehaviour subject;    //状态机的主体
    public virtual void Init() { }
    public virtual void Update() { }
    public virtual void Exit() { }
}
